<div class="spell-browser">
    <div class="control-area">
        <div class="sortcontainer" id="tagfilter">
            <input class="" name="textFilter" type="text" value="" data-dtype="String" placeholder="{{localize "PF2E.BrowserSearchPlaceholder"}}" title="{{localize "PF2E.BrowserSearchTitle"}}"/>
            <div class="hint" style="display:none;">
                {{{localize "PF2E.ActionBrowserSearchHint"}}}
            </div>
            <dl id="sorter">
                <dt>{{localize "PF2E.BrowserSortyByLabel"}}:</dt>
                <dd><select class="null" name="sortorder">
                    <option value="true" selected>{{localize "PF2E.BrowserSortyByNameLabel"}}</option>
                </select></dd>
            </dl>
        </div>
        <div class="filtercontainer" id="actionTraitfilter">
            <h3>{{localize "PF2E.BrowserFilterSkills"}}</h3>
            <dl>
                {{#each skills as |skill key|}}
                <dt><input type="checkbox" name="skills-{{key}}"></dt><dd>{{skill}}</dd>
                {{/each}}
            </dl>
        </div>
        <div class="filtercontainer" id="actionTraitfilter">
            <h3>{{localize "PF2E.BrowserFilterProficiencyRequirements"}}</h3>
            <dl style="display:none;">
                {{#each proficiencies as |proficiency key|}}
                <dt><input type="checkbox" name="proficiencies-{{key}}"></dt><dd>{{proficiency}}</dd>
                {{/each}}
            </dl>
        </div>
        <div class="filtercontainer" id="actionTraitfilter">
            <h3>{{localize "PF2E.BrowserFilterTraits"}}</h3>
            <dl style="display:none;">
                {{#each actionTraits as |trait key|}}
                <dt><input type="checkbox" name="traits-{{key}}"></dt><dd>{{trait}}</dd>
                {{/each}}
            </dl>
        </div>
    </div>
    <ul>
        {{#each actions as |item id|}}
        <li class="spell flexrow draggable"
          data-entry-compendium="{{item.compendium}}"
          data-entry-id="{{item._id}}" data-item-category="actions">
            <div class="spell-image">
                <img class="" src="{{item.img}}" title="{{item.name}}" width="32" height="32"/>
            </div>
            <div class="spell-name">
                <span class="item-edit" ><a>{{item.name}}</a></span>
            </div>
            {{#each item.data as |attrib id|}}
                <input type="hidden" name="{{id}}" value="{{attrib.value}}">
            {{/each}}
            <input type="hidden" name="skills"
                                 value="{{item.data.skill_requirement.skill.skill}}">
            <input type="hidden" name="proficiencies"
                                 value="{{item.data.skill_requirement.skill.rank}}">
        </li>
        {{/each}}
    </ul>

</div>
